import { system, world } from "@minecraft/server";
import { lights } from "./Config.js";

system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const item = player.getComponent('equippable').getEquipment('Mainhand');

        if (item?.typeId in lights && !player.isInWater) {
            const intensity = lights[item.typeId].intensity;

            player.runCommand(`function light_${intensity}b`);
            player.runCommand("tag @s remove stop");
        }
        else if (!player.hasTag("stop")) {
            player.runCommand("function remove_light");

            player.runCommand("tag @s add stop");
        }
    }
});